/* 
Theme Name: Valpix Child Theme
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child Theme.
Author: Valpix GmbH
Author URI: https://www.valpix.ch/
Template: hello-elementor
Version: 1.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Custom Styles Valpix */

@import url("https://use.typekit.net/jvy5pnq.css");

:root {
    --brown: #DED4C3;
    --lightbrown: #FCF8F2;
    --black: #000;
    --bgb: #F2EBE2;
    --fontfamiily: interface, sans-serif;
    --fontweightregular: 400;
    --fontweightbold: 700;
	--custom-title-color: #333 !important;
	--custom-body-color: #333 !important;
}
body, html{
    overflow-x: hidden;
}
body{
    background-color: var(--lightbrown);
    font-family: var(--fontfamiily);
    font-weight: var(--fontweightregular);
    font-style: normal;
    font-size: 19px;
    line-height: 1.4;
}
*:focus {
    outline: none !important;
}
section p a {
    color: var(--black);
    position: relative;
}
section p a:hover {
    color: var(--black);
}
section p a:after{
    content: '';
    position: absolute;
    height: 1px;
    width: 100%;
    background-color: var(--black);
    bottom: 0;
    left: 0;
    top: unset;
    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}
section p a:hover:after{
    width: 0;
}
*+h2, *+h3, *+h4, *+h5, *+h6 {
    margin-top: 35px;
}

.lead p, .introsection h1, .introsection h2, .introsection h3, .introsection h4, .introsection h5, .introsection h6, .introsection p{
    font-size: 42px;
}
.lead h1 {
    font-size: 25px;
    font-weight: var(--fontweightbold);
}
h4{
    font-weight: var(--fontweightbold);
    font-size: 28px;
    margin-bottom: 25px;
}
p:last-of-type, p:last-child {
    padding-bottom: 0;
    margin-bottom: 0;
}
.headersection{
    max-width: 95%;
    margin: 0 auto;
    position: absolute;
    top: 60px;
    left: 0;
    right: 0;
}
.elementor-location-header {
    z-index: 5;
    position: relative;
}
.elementor-location-header section {
    padding-left: 100px;
    padding-right: 100px;
    padding-top: 90px;
}
.introsection {
    color: #fff;
    text-align: center;
    margin: 0 auto;
}
header .elementor-button:after {
    content: '';
    position: absolute;
    right: 23px;
    top: 13px;
    background-image: url(assets/img/arrow-up-right-light.svg);
    background-size: cover;
    background-position: center;
    width: 20px;
    height: 20px;
}
.headersection .elementor-button-text {
    font-size: 23px;
}
.logo img{
    min-width: 130px;
}
.elementor-widget-button{
    font-weight: var(--fontweightbold);
}
.elementor-button-text{
    font-size: 25px;
    margin-right: 10px;
    margin: auto;
    top: -2px;
    position: relative;
}
.elementor-widget-button svg {
    height: 100%;
    width: 100%;
}
.elementor-button {
    background-color: transparent;
    border: 2px solid #fff;
    border-radius: 28px;
    position: relative;
    padding: 12px 23px;
}
.elementor-button:after {
    content: '';
    position: absolute;
    right: 23px;
    top: 13px;
    background-image: url(assets/img/arrow-up-right-dark.svg);
    background-size: cover;
    background-position: center;
    width: 20px;
    height: 20px;
}
.elementor-button span {
    margin-right: 15px;
}
.elementor-button:hover {
    transform: scaleX(1.02) scaleY(1.02);
}
.sidebar {
    font-size: 25px;
    text-decoration: underline;
    text-underline-position: under;
    text-align: right;
    max-width: 300px;
    top: 25px;
    position: absolute;
    left: 20px;
    transform: rotateZ(-90deg) translateX(-350px);
    transform-origin: top left;
}
.section-image-text section img {
    left: -70px;
    position: relative;
}
.section-image-text .elementor-column:nth-child(2) {
    padding-left: 100px;
    padding-right: 50px;
}
.section-image-text section {
    margin-top: 50px;
    margin-bottom: 50px;
}
.section-image-text section:nth-child(odd) .elementor-column:nth-child(1) {
    order: 2;
}
.section-image-text section:nth-child(odd) .elementor-column:nth-child(2) {
    order: 1;
    padding-left: 50px;
    padding-right: 60px;
}
.section-image-text section:nth-child(odd) img{
    right: -70px;
    left: unset;
}
.section-image-text .elementor-button, .fmslider-items .slick-slide a{
    border: 0;
    color: var(--black);
    font-weight: var(--fontweightregular);
    margin-top: 40px;
    padding: 0;
}
.section-image-text .elementor-button-text, .fmslider-items .slick-slide a {
    font-size: 19px;
    position: relative;
}
.section-image-text .elementor-button span {
    margin-right: 0;
}
.section-image-text .elementor-button:after, .fmslider-items .slick-slide a:after{
    content: '';
    position: absolute;
    height: 1px;
    width: 100%;
    background-color: var(--black);
    bottom: 0;
    left: 0;
    top: unset;
    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}
.section-image-text .elementor-button:hover:after, .fmslider-items .slick-slide a:hover:after{
    height: 1px;
    width: 0;
}
.section-image-text .elementor-button:hover{
    transform: none;
}
.bgdb{
    background-color: var(--brown);
}
.bgb{
    background-color: var(--bgb);
}
.bgb .elementor-button {
    color: var(--black);
    border-color: var(--brown);
}
.n-space .elementor-widget-wrap {
    padding: 0 !important;
}
.imageslider .elementor-swiper-button {
    width: 55px !important;
    height: 110px;
}
.imageslider .elementor-swiper-button-prev{
    left: 30px !important;
}
.imageslider .elementor-swiper-button-next{
    right: 30px !important;
}
.imageslider .elementor-swiper-button-prev::before, .imageslider .elementor-swiper-button-next::before  {
    content: '';
    position: absolute;
    background-size: cover;
    background-position: center;
    width: 55px;
    height: 110px;
}
.imageslider .elementor-swiper-button-prev::before {
    background-image: url(assets/img/arrow-slider-left.svg);   
}
.imageslider .elementor-swiper-button-next::before {
    background-image: url(assets/img/arrow-slider-right.svg);
}
.swiper-pagination {
    margin-bottom: 30px;
}
.n-space span.swiper-pagination-bullet {
    border-radius: 0;
    height: 2px !important;
    background-color: #fff !important;
    opacity: 1 !important;
}
.n-space span.swiper-pagination-bullet.swiper-pagination-bullet-active {
    background-color: var(--black) !important;
}
.elementor-swiper-button i {
    display: none;
}
.boxedcols {
    margin-top: 40px;
    margin-bottom: 40px;
}
.boxedcols .elementor-widget-image {
    padding-left: 0;
    padding-right: 0;
}
.boxedcols:first-of-type{
    margin-top: 0;
}
.boxedcols:last-of-type{
    margin-bottom: 0;
}
.boxedcols img {
    height: 300px;
    object-fit: cover;
}
.boxedcols .elementor-column:nth-child(1){
    margin-right: 40px;
    margin-left: 10px;
}
.boxedcols .elementor-column:nth-child(2){
    margin-left: 40px;
    margin-right: 10px;
}
.boxedcols .elementor-widget-wrap {
    padding-bottom: 50px !important;
    padding-left: 0 !important;
    padding-right: 0 !important;
    padding-top: 0 !important;
}
.boxedcols .elementor-element .elementor-element {
    padding-left: 40px;
    padding-right: 40px;
}
.boxedcols .elementor-element .elementor-widget-image {
    padding-left: 0px;
    padding-right: 0px;
}
.boxedcols .elementor-element .elementor-element:first-of-type {
    margin-bottom: 40px;
}
.boxedcols .elementor-element .elementor-element:only-of-type {
    margin-bottom: 0px;
}
.cta .elementor-widget-wrap {
    padding-bottom: 0 !important;
}
.cta .elementor-button-text{
    font-weight: var(--fontweightregular);
}
.p-space{
    padding-top: 180px;
    padding-bottom: 150px;
}
.s-space{
    padding-bottom: 100px;
}
.mediasection {
	background-color: #C7C9BC;
}
.mediasection, .mediasection a{
    color: #000;
}
.mediasection a, .mediasection p{
    font-size: 28px;
    margin-bottom: 60px;
    position: relative;
    margin-right: 50px;
	line-height: 1.2;
}
.mediasection a:last-of-type, .mediasection p:last-of-type{
    margin-bottom: 0;
}
.mediasection a:after{
    content: '';
    position: absolute;
    right: -30px;
    top: 50%;
    transform: translateY(-50%);
    background-image: url(assets/img/media-link-arrow.svg);
    background-size: cover;
    background-position: center;
    width: 18px;
    height: 18px;
    background-color: transparent;
    left: unset;
}
.mediasection a:before {
    background-color: #000;
    content: '';
    position: absolute;
    height: 2px;
    bottom: 0;
    width: calc(100% + 32px);
    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}
.mediasection a:hover:before {
    width: 0;
}
.mediasection a:hover, .mediasection a:visited, .mediasection a:focus {
    color: #000;
}
.mediasection a:hover::after{
    width: 18px;
}
.fadeInUp {
    animation-duration: 1s;
}
.slick-slide {
    margin-bottom: 0 !important;
    float: left;
}
.fmslider .elementor-widget-wrap {
    display: block !important;
}
.fmslider-items .slick-slide {
    margin: 10px;
    margin-right: 50px;
    margin-left: 50px;
}
.fmslider-items .slick-list {
    height: 100%;
    width: 100%;
    overflow: hidden;
}
button.slick-prev {
    position: absolute;
    left: -100px;
    top: 50%;
}
button.slick-next {
    position: absolute;
    right: -100px;
    top: 50%;
}
.fmslider .slick-prev:before, .fmslider .slick-next:before {
    content: '';
    position: absolute;
    height: 25px;
    width: 14px;
    top: 0;
    left: 0;
    background-size: cover;
    background-position: center;
}
.fmslider .slick-prev:before {
    background-image: url(assets/img/fm-arrow-left.svg);
}
.fmslider .slick-next:before {
    background-image: url(assets/img/fm-arrow-right.svg);
}
.fmslider button {
    border: 0;
    outline: none;
    background-color: transparent !important;
    height: 25px;
    width: 15px !important;
    padding: 0;
}
.fadeInUp {
    animation-name: fadeInUpCustom!important;
}
@keyframes fadeInUpCustom {
    from {
     opacity:0;
     transform:translate3d(0,50px,0)
    }
    to {
     opacity:1;
     transform:none
    }
}
.section-image-text {
	 padding-top: 100px;
	 padding-bottom: 100px;
}
footer{
    padding-top: 150px;
    padding-bottom: 60px;
    margin-top: -150px;
}
footer * {
    font-size: 28px;
    color: var(--black);
}
footer .elementor-widget-wrap .elementor-widget-wrap {
    padding: 0 !important;
}
footer .elementor-widget-button{
    font-weight: var(--fontweightregular);
}
footer .elementor-button{
    border: 2px solid var(--brown);
}
.credits {
    padding-top: 150px;
}
.credits * {
	font-size: 18px;
}
.credits ul {
    padding-left: 0;
    display: flex;
}
.credits li {
    margin-left: 30px;
    list-style-type: none;
}
.credits li:first-of-type{
    margin-left: 0;
}
.credits a{
    position: relative;
}
.credits a:hover{
    color: var(--brown);
    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}
.credits a:after{
    background-color: var(--brown);
    content: '';
    position: absolute;
    height: 1px;
    width: 0;
    bottom: 0;
    left: 0;
    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -o-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}
.credits a:hover:after{
    width: 100%;
}
privacybee-widget div, privacybee-widget div ul li, privacybee-widget div a {
	max-width: 100% !important;
	line-height: inherit !important;
}
.mediasection .elementor-button {
	border: 0;
	padding: 0;
	font-weight: 400;
}
.mediasection .elementor-button span {
	margin-right: 0;
}
.mediasection a::before {
	 bottom: -3px;
	 left: 0;
}
.mt-0 {
	margin-top: 0 !important;
}
.anmeldung a {
  	font-weight: var(--fontweightbold);
  	color: #000;
}
.anmeldung .elementor-button span {
  	margin-right: 0;
}
.anmeldung .elementor-button::after {
  	display: none;
}
.elementor-field-group .elementor-field-textual {
  	font-size: 18px;
}
@media screen and (max-width: 1500px) {
    .section-image-text section img {
        left: -30px;
    }
    .fmslider-items .slick-slide {
        margin-right: 40px;
        margin-left: 40px;
    }
    button.slick-prev {
        left: -50px;
    }
    button.slick-next {
        right: -50px;
    }
}
@media screen and (max-width: 1400px) {
    .sidebar {
        transform: unset;
        text-align: center;
        position: relative;
        margin-bottom: 20px;
        max-width: unset;
        top: 0;
        left: 0;
    }
}
@media screen and (max-width: 1350px) {
    .headersection {
        top: 50px;
    }
    .boxedcols .elementor-column {
        width: 45%;
    }
}
@media screen and (max-width: 1200px) {
    button.slick-prev {
        left: 10px;
    }
    button.slick-next {
        right: 10px;
    }
    .fmslider .slick-prev:before, .fmslider .slick-next:before {
        height: 20px;
        width: 11px;
    }
    .p-space {
        padding-top: 100px;
        padding-bottom: 120px;
    }
    .lead p, .introsection h1, .introsection h2, .introsection h3, .introsection h4, .introsection h5, .introsection h6 {
        font-size: 28px;
    }
}
@media screen and (max-width: 1150px) {
    .section-image-text section img {
        left: 0;
        height: 450px !important;
    }
    .section-image-text section:nth-child(odd) img {
        right: 0px;
        height: 450px !important;
    }
    .section-image-text section:nth-child(odd) .elementor-column:nth-child(1) {
        order: 1;
    }
    .section-image-text section:nth-child(odd) .elementor-column:nth-child(2) {
        order: 2;
        padding-left: 0px;
        padding-right: 0px;
    }
    .section-image-text .elementor-column:nth-child(2) {
        padding-left: 0px;
        padding-right: 0px;
    }
    .section-image-text section .elementor-column {
        width: 100%;
    }
    .lead .elementor-widget-wrap {
        padding-left: 100px !important;
        padding-right: 100px !important;
    }
}
@media screen and (max-width: 1024px) {
    .boxedcols .elementor-column {
        width: 100%;
        min-height: 500px;
    }
    .boxedcols .elementor-column:nth-child(1) {
        margin-right: 10px;
        margin-bottom: 30px;
    }
    .boxedcols .elementor-column:nth-child(2) {
        margin-left: 10px;
    }
    .boxedcols img {
        height: 400px;
    }
    footer .elementor-widget-wrap {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }
}
@media screen and (max-width: 767px) {
    .headersection {
        top: 35px;
    }
	.credits {
	  padding-top: 80px;
	}
	.credits ul {
		flex-direction: column;
		gap: 8px;
	}
	.credits li {
		margin-left: 0;
	}
	.introsection p {
        font-size: 28px;
    }
    .logo img {
        min-width: 100px !important;
    }
    .headersection .elementor-button-text {
        font-size: 18px !important;
    }
    header .elementor-button:after {
        right: 15px;
        width: 15px;
        height: 15px;
        top: 10px;
    }
    header .elementor-button-content-wrapper{
        margin-right: 0;
    }
    .introsection .elementor-column{
        min-height: 600px;
    }
    body{
        font-size: 18px;
    }
    .lead .elementor-widget-wrap {
        padding-left: 50px !important;
        padding-right: 50px !important;
    }
    .imageslider .elementor-swiper-button {
        width: 45px !important;
        height: 85px;
    }
    .imageslider .elementor-swiper-button-prev::before, .imageslider .elementor-swiper-button-next::before {
        width: 45px;
        height: 85px;
    }
    .elementor-button {
        padding: 10px 20px;
    }
    .mediasection a, .mediasection p {
        font-size: 25px;
        margin-bottom: 50px;
    }
    .mediasection a, .mediasection p {
        font-size: 28px;
        margin-bottom: 40px;
        margin-right: 0;
    }
	.mediasection p {
		font-size: 26px;
		line-height: 1.2;
	 }
	.boxedcols img {
        height: 320px;
    }
	 .p-space, .section-image-text {
		padding-top: 60px;
		padding-bottom: 60px;
	}
    footer .elementor-column:nth-child(2) {
        margin-top: 50px;
    }
    footer {
        padding-top: 100px;
        padding-bottom: 50px;
    }
    footer * {
        font-size: 25px;
    }
}
@media screen and (max-width: 450px) {
    .elementor-button-text {
        font-size: 21px;
    }
    .elementor-button:after {
        width: 19px;
        height: 16px;
    }
}